import '../bootstrap';
import 'bootstrap';
import 'admin-lte';
import toastr from 'toastr';

toastr.options.closeButton = true;
toastr.options.timeOut = 0;
toastr.options.extendedTimeOut = 30;

import * as Sentry from "@sentry/browser";
import { makeFetchTransport,  defaultStackParser, defaultIntegrations} from "@sentry/browser";

Sentry.init({
  dsn: process.env.SENTRY_DSN,

  // Alternatively, use `process.env.npm_package_version` for a dynamic release version
  // if your build tool supports it.
  release: process.env.SENTRY_RELEASE,
  transport: makeFetchTransport,
  stackParser: defaultStackParser,
  integrations: defaultIntegrations,
  environment: process.env.SENTRY_ENV,

  // Set tracesSampleRate to 1.0 to capture 100%
  // of transactions for performance monitoring.
  // We recommend adjusting this value in production
  tracesSampleRate:  process.env.SENTRY_ENV == "dev" ? 1. : .5,

});

function displayToast(messageType: string, message: string) : void {
    (toastr as any)[messageType](message);
}

(window as any).displayToast = displayToast;

$(function() {
    const flashMessagesRaw = document.querySelector('body')?.dataset.flashMessages;
    if (flashMessagesRaw == null) {
        console.error("Could not find flash messages");
        return;
    }
    const flashMessages = JSON.parse(flashMessagesRaw);
    const possibleMessageTypes = Object.keys(flashMessages);
    possibleMessageTypes.forEach((messageType: string) => {
        const messages = flashMessages[messageType];
        messages.forEach((message: string) => {
            displayToast(messageType, message);
        });
    });
});
