
import L from 'leaflet';

L.Icon.Default.prototype.options.imagePath = "/build/images/"

$(() => {
    const mapDiv = document.getElementById('osm-map') as HTMLDivElement;
    if (mapDiv === null) {
        console.error("Could not find map div");
        return;
    }

    // Height has to be set. You can do this in CSS too.
    mapDiv.style.height = '500px';

    const routePointsRaw = mapDiv.dataset.routePoints;
    if (routePointsRaw == null) {
        console.error("Could not find embedded data");
        return;
    }
    const routePoints = JSON.parse(routePointsRaw);
    // Create Leaflet map on map element.
    let map = L.map(mapDiv);

    // Add OSM tile layer to the Leaflet map.
    L.tileLayer('http://{s}.tile.osm.org/{z}/{x}/{y}.png', {attribution: '&copy; <a href="http://osm.org/copyright">OpenStreetMap</a> contributors'}).addTo(map);

    // Target's GPS coordinates.
    // let target = L.latLng(45.502766, -73.614830);
    const polyline = L.polyline(routePoints, {color: 'blue'}).addTo(map);
    L.marker(routePoints[0], {"title": "Home"}).addTo(map);
    L.marker(routePoints[routePoints.length-1], {"title": "Poly"}).addTo(map);

    map.fitBounds(polyline.getBounds());
});
