<?php

declare(strict_types=1);

namespace DoctrineMigrations;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
final class Version20211227230445 extends AbstractMigration
{
    public function getDescription(): string
    {
        return '';
    }

    public function up(Schema $schema): void
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->addSql('CREATE TABLE admin (id INT AUTO_INCREMENT NOT NULL, email VARCHAR(180) NOT NULL, roles LONGTEXT NOT NULL COMMENT \'(DC2Type:json)\', password VARCHAR(255) NOT NULL, created_date DATETIME NOT NULL, updated_date DATETIME NOT NULL, UNIQUE INDEX UNIQ_880E0D76E7927C74 (email), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8mb4 COLLATE `utf8mb4_unicode_ci` ENGINE = InnoDB');
        $this->addSql('CREATE TABLE email_access_token (id INT AUTO_INCREMENT NOT NULL, application_id INT NOT NULL, token VARCHAR(32) NOT NULL, created_date DATETIME NOT NULL, expiration_date DATETIME NOT NULL, INDEX IDX_E3B13B3B3E030ACD (application_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8mb4 COLLATE `utf8mb4_unicode_ci` ENGINE = InnoDB');
        $this->addSql('CREATE TABLE file (id INT AUTO_INCREMENT NOT NULL, application_id INT NOT NULL, file_name VARCHAR(127) NOT NULL, validated TINYINT(1) NOT NULL, validation_date DATETIME DEFAULT NULL, deleted TINYINT(1) NOT NULL, deletion_date DATETIME DEFAULT NULL, fileType VARCHAR(255) NOT NULL, INDEX IDX_8C9F36103E030ACD (application_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8mb4 COLLATE `utf8mb4_unicode_ci` ENGINE = InnoDB');
        $this->addSql('CREATE TABLE home_message (id INT AUTO_INCREMENT NOT NULL, text LONGTEXT NOT NULL, PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8mb4 COLLATE `utf8mb4_unicode_ci` ENGINE = InnoDB');
        $this->addSql('CREATE TABLE parking_application (id INT AUTO_INCREMENT NOT NULL, session_id INT NOT NULL, travel_info_id INT NOT NULL, forename VARCHAR(255) NOT NULL, surname VARCHAR(255) NOT NULL, email VARCHAR(255) NOT NULL, student_id VARCHAR(255) NOT NULL, carpooling TINYINT(1) NOT NULL, carpool_description VARCHAR(255) DEFAULT NULL, parent TINYINT(1) NOT NULL, association VARCHAR(255) NOT NULL, created_date DATETIME NOT NULL, updated_date DATETIME NOT NULL, physical_condition TINYINT(1) NOT NULL, status VARCHAR(255) NOT NULL, address LONGTEXT NOT NULL, INDEX IDX_F8F41315613FECDF (session_id), UNIQUE INDEX UNIQ_F8F413159CC876E9 (travel_info_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8mb4 COLLATE `utf8mb4_unicode_ci` ENGINE = InnoDB');
        $this->addSql('CREATE TABLE session (id INT AUTO_INCREMENT NOT NULL, name VARCHAR(30) NOT NULL, start_date DATETIME NOT NULL, end_date DATETIME NOT NULL, archived TINYINT(1) NOT NULL, UNIQUE INDEX UNIQ_D044D5D45E237E06 (name), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8mb4 COLLATE `utf8mb4_unicode_ci` ENGINE = InnoDB');
        $this->addSql('CREATE TABLE travel_info (id INT AUTO_INCREMENT NOT NULL, distance DOUBLE PRECISION NOT NULL, duration_driving INT NOT NULL, duration_driving_traffic INT NOT NULL, duration_transit INT NOT NULL, route_points LONGTEXT NOT NULL COMMENT \'(DC2Type:array)\', PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8mb4 COLLATE `utf8mb4_unicode_ci` ENGINE = InnoDB');
        $this->addSql('CREATE TABLE vehicle (id INT AUTO_INCREMENT NOT NULL, application_id INT NOT NULL, manufacturer VARCHAR(255) NOT NULL, model VARCHAR(255) NOT NULL, colour VARCHAR(31) NOT NULL, year INT NOT NULL, license_plate VARCHAR(31) NOT NULL, type VARCHAR(255) NOT NULL, INDEX IDX_1B80E4863E030ACD (application_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8mb4 COLLATE `utf8mb4_unicode_ci` ENGINE = InnoDB');
        $this->addSql('ALTER TABLE email_access_token ADD CONSTRAINT FK_E3B13B3B3E030ACD FOREIGN KEY (application_id) REFERENCES parking_application (id)');
        $this->addSql('ALTER TABLE file ADD CONSTRAINT FK_8C9F36103E030ACD FOREIGN KEY (application_id) REFERENCES parking_application (id)');
        $this->addSql('ALTER TABLE parking_application ADD CONSTRAINT FK_F8F41315613FECDF FOREIGN KEY (session_id) REFERENCES session (id)');
        $this->addSql('ALTER TABLE parking_application ADD CONSTRAINT FK_F8F413159CC876E9 FOREIGN KEY (travel_info_id) REFERENCES travel_info (id)');
        $this->addSql('ALTER TABLE vehicle ADD CONSTRAINT FK_1B80E4863E030ACD FOREIGN KEY (application_id) REFERENCES parking_application (id)');
    }

    public function down(Schema $schema): void
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->addSql('ALTER TABLE email_access_token DROP FOREIGN KEY FK_E3B13B3B3E030ACD');
        $this->addSql('ALTER TABLE file DROP FOREIGN KEY FK_8C9F36103E030ACD');
        $this->addSql('ALTER TABLE vehicle DROP FOREIGN KEY FK_1B80E4863E030ACD');
        $this->addSql('ALTER TABLE parking_application DROP FOREIGN KEY FK_F8F41315613FECDF');
        $this->addSql('ALTER TABLE parking_application DROP FOREIGN KEY FK_F8F413159CC876E9');
        $this->addSql('DROP TABLE admin');
        $this->addSql('DROP TABLE email_access_token');
        $this->addSql('DROP TABLE file');
        $this->addSql('DROP TABLE home_message');
        $this->addSql('DROP TABLE parking_application');
        $this->addSql('DROP TABLE session');
        $this->addSql('DROP TABLE travel_info');
        $this->addSql('DROP TABLE vehicle');
    }
}
