<?php

namespace App\Controller;

use App\Service\EmailTokenService;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

class CronController extends AbstractController
{
    #[Route('/cron', name: 'cron')]
    public function index(
        EmailTokenService $emailTokenService,
        Request $request
    ): Response {
        $secretHeader = $request->headers->get("x-secret");
        if (!$secretHeader || !hash_equals($this->getParameter('cron_secret'), $secretHeader)) {
            throw $this->createAccessDeniedException("Wrong secret !");
        }
        // Deleting all expired tokens from the database
        $emailTokenService->deleteExpired();

        return $this->json(["status" => "success"]);
    }
}
