<?php

namespace App\Entity;

use App\Repository\TravelInfoRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: TravelInfoRepository::class)]
class TravelInfo
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column(type: 'integer')]
    private $id;

    #[ORM\Column(type: 'float')]
    private $distance;

    #[ORM\Column(type: 'integer')]
    private $durationDriving;

    #[ORM\Column(type: 'integer')]
    private $durationDrivingTraffic;

    #[ORM\Column(type: 'integer')]
    private $durationTransit;

    #[ORM\Column(type: 'array')]
    private $routePoints = [];

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getDistance(): ?float
    {
        return $this->distance;
    }

    public function setDistance(float $distance): self
    {
        $this->distance = $distance;

        return $this;
    }

    public function getDurationDriving(): ?int
    {
        return $this->durationDriving;
    }

    public function setDurationDriving(int $durationDriving): self
    {
        $this->durationDriving = $durationDriving;

        return $this;
    }

    public function getDurationDrivingTraffic(): ?int
    {
        return $this->durationDrivingTraffic;
    }

    public function setDurationDrivingTraffic(int $durationDrivingTraffic): self
    {
        $this->durationDrivingTraffic = $durationDrivingTraffic;

        return $this;
    }

    public function getDurationTransit(): ?int
    {
        return $this->durationTransit;
    }

    public function setDurationTransit(int $durationTransit): self
    {
        $this->durationTransit = $durationTransit;

        return $this;
    }

    public function getRoutePoints(): ?array
    {
        return $this->routePoints;
    }

    public function setRoutePoints(array $routePoints): self
    {
        $this->routePoints = $routePoints;

        return $this;
    }
}
