<?php

namespace App\Form;

use App\Entity\File;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Component\Validator\Constraints as Assert;
use Symfony\UX\Dropzone\Form\DropzoneType;

class FileType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add('file', DropzoneType::class, [
                'label' => null,
                'label_attr'=> ['class'=> 'visually-hidden'],
                'mapped' => true,
                'required' => true,
                'constraints' => [
                    new Assert\File(
                        maxSize: "10M",
                        mimeTypes: ["image/*", "application/pdf", "application/x-pdf"],
                        mimeTypesMessage: "Please upload a valid File"
                    )
                    ],
                'help'=> "file.help"
            ]);
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => File::class
        ]);
    }
}
