<?php

namespace App\Form;

use App\Entity\Session;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\DateTimeType;
use Symfony\Component\Form\Extension\Core\Type\SubmitType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class SessionType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add('name', null, ['label' => 'session.name', 'help' => 'session.help.name'])
            ->add('startDate', null, ['label' => 'session.start-date', 'model_timezone' => 'UTC', 'view_timezone' => 'UTC'])
            ->add('endDate', null, ['label' => 'session.end-date', 'model_timezone' => 'UTC', 'view_timezone' => 'UTC'])
            ->add('submit', SubmitType::class, ['label' => 'button.submit'])
        ;
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => Session::class,
        ]);
    }
}
